=== debian/control ===
Source: qca-tls
Section: libs
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 4.0.0), libqt3-mt-dev, libssl-dev
Standards-Version: 3.8.4

Package: qca-tls
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TLS plugin for the Qt Cryptographic Architecture (QCA)
 This is a plugin to provide SSL/TLS capability to programs that
 utilize the Qt Cryptographic Architecture (QCA).
 .
 QCA is a library providing an easy API for several cryptographic algorithmns 
 to Qt programs.
 .
 At the moment only the qca-tls plugin is packaged for debian, as it's
 used by the package 'psi'. The generic library and several other plugins
 will be packaged when upstream releases them.
